# contract.hh File Reference

Definition of contract macros. More...

Include dependency graph for contract.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.
namespace | vcsn::misc

| The namespace for miscellaneous constructs.

## Functions

void | trap (const char *file, int line, const char *location, const std::string &message)
| Internal function to report errors in failed contract macros.

## Detailed Description

Definition of contract macros.

Definition in file contract.hh.